OSDN Git Service

Add -mdynamic-no-pic to compile flags for gcc. On Mac OS X and Darwin,
[pf3gnuchains/gcc-fork.git] / fastjar / Makefile.in
1 # Makefile.in generated by automake 1.8.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this with automake to create Makefile.in
18
19 SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
20
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = .
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 bin_PROGRAMS = fastjar$(EXEEXT) grepjar$(EXEEXT)
42 subdir = .
43 DIST_COMMON = README $(am__configure_deps) $(fastjar_TEXINFOS) \
44         $(srcdir)/../compile $(srcdir)/../install-sh \
45         $(srcdir)/../missing $(srcdir)/../mkinstalldirs \
46         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/config.h.in $(srcdir)/install-defs.sh.in \
48         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
51         $(top_srcdir)/../config/accross.m4 $(top_srcdir)/configure.ac
52 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
53         $(ACLOCAL_M4)
54 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
55  configure.lineno configure.status.lineno
56 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
57 CONFIG_HEADER = config.h
58 CONFIG_CLEAN_FILES = install-defs.sh
59 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
60 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
61 PROGRAMS = $(bin_PROGRAMS)
62 am_fastjar_OBJECTS = fastjar-jartool.$(OBJEXT) \
63         fastjar-dostime.$(OBJEXT) fastjar-compress.$(OBJEXT) \
64         fastjar-pushback.$(OBJEXT) fastjar-shift.$(OBJEXT)
65 fastjar_OBJECTS = $(am_fastjar_OBJECTS)
66 am__DEPENDENCIES_1 =
67 am__DEPENDENCIES_2 = ../libiberty/libiberty.a
68 am_grepjar_OBJECTS = jargrep.$(OBJEXT) dostime.$(OBJEXT) \
69         compress.$(OBJEXT) pushback.$(OBJEXT)
70 grepjar_OBJECTS = $(am_grepjar_OBJECTS)
71 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
72 depcomp =
73 am__depfiles_maybe =
74 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
75         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
76 CCLD = $(CC)
77 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
78 SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
79 DIST_SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
80 INFO_DEPS = fastjar.info
81 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
82 DVIS = fastjar.dvi
83 PDFS = fastjar.pdf
84 PSS = fastjar.ps
85 HTMLS = fastjar.html
86 TEXINFOS = fastjar.texi
87 TEXI2DVI = texi2dvi
88 TEXI2PDF = $(TEXI2DVI) --pdf --batch
89 MAKEINFOHTML = $(MAKEINFO) --html
90 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
91 DVIPS = dvips
92 man1dir = $(mandir)/man1
93 NROFF = nroff
94 MANS = $(man_MANS)
95 ETAGS = etags
96 CTAGS = ctags
97 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
98 distdir = $(PACKAGE)-$(VERSION)
99 top_distdir = $(distdir)
100 am__remove_distdir = \
101   { test ! -d $(distdir) \
102     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
103          && rm -fr $(distdir); }; }
104 DIST_ARCHIVES = $(distdir).tar.gz
105 GZIP_ENV = --best
106 distuninstallcheck_listfiles = find . -type f -print
107 distcleancheck_listfiles = find . -type f -print
108 ACLOCAL = @ACLOCAL@
109 AMDEP_FALSE = @AMDEP_FALSE@
110 AMDEP_TRUE = @AMDEP_TRUE@
111 AMTAR = @AMTAR@
112 AUTOCONF = @AUTOCONF@
113 AUTOHEADER = @AUTOHEADER@
114 AUTOMAKE = @AUTOMAKE@
115 AWK = @AWK@
116 CC = @CC@
117 CCDEPMODE = @CCDEPMODE@
118 CFLAGS = @CFLAGS@
119 CHMOD = @CHMOD@
120 CP = @CP@
121 CPP = @CPP@
122 CPPFLAGS = @CPPFLAGS@
123 CYGPATH_W = @CYGPATH_W@
124 DEFS = @DEFS@
125 DEPDIR = @DEPDIR@
126 ECHO_C = @ECHO_C@
127 ECHO_N = @ECHO_N@
128 ECHO_T = @ECHO_T@
129 EGREP = @EGREP@
130 EXEEXT = @EXEEXT@
131 GENINSRC_FALSE = @GENINSRC_FALSE@
132 GENINSRC_TRUE = @GENINSRC_TRUE@
133 INSTALL_DATA = @INSTALL_DATA@
134 INSTALL_PROGRAM = @INSTALL_PROGRAM@
135 INSTALL_SCRIPT = @INSTALL_SCRIPT@
136 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
137 LDFLAGS = @LDFLAGS@
138 LIBOBJS = @LIBOBJS@
139 LIBS = @LIBS@
140 LTLIBOBJS = @LTLIBOBJS@
141 MAINT = @MAINT@
142 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
144 MAKEINFO = @MAKEINFO@
145 OBJEXT = @OBJEXT@
146 PACKAGE = @PACKAGE@
147 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
148 PACKAGE_NAME = @PACKAGE_NAME@
149 PACKAGE_STRING = @PACKAGE_STRING@
150 PACKAGE_TARNAME = @PACKAGE_TARNAME@
151 PACKAGE_VERSION = @PACKAGE_VERSION@
152 PATH_SEPARATOR = @PATH_SEPARATOR@
153 RM = @RM@
154 SET_MAKE = @SET_MAKE@
155 SHELL = @SHELL@
156 STRIP = @STRIP@
157 VERSION = @VERSION@
158 ZDEPS = @ZDEPS@
159 ZINCS = @ZINCS@
160 ZLIBS = @ZLIBS@
161 ac_ct_CC = @ac_ct_CC@
162 ac_ct_STRIP = @ac_ct_STRIP@
163 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
164 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
165 am__include = @am__include@
166 am__leading_dot = @am__leading_dot@
167 am__quote = @am__quote@
168 bindir = @bindir@
169 build_alias = @build_alias@
170 datadir = @datadir@
171 exec_prefix = @exec_prefix@
172 fastjar_warn_cflags = @fastjar_warn_cflags@
173 gcc_version = @gcc_version@
174 host_alias = @host_alias@
175 includedir = @includedir@
176 infodir = @infodir@
177 install_sh = @install_sh@
178 libdir = @libdir@
179 libexecdir = @libexecdir@
180 localstatedir = @localstatedir@
181 mandir = @mandir@
182 mkdir_p = @mkdir_p@
183 oldincludedir = @oldincludedir@
184 prefix = @prefix@
185 program_transform_name = @program_transform_name@
186 sbindir = @sbindir@
187 sharedstatedir = @sharedstatedir@
188 sysconfdir = @sysconfdir@
189 target_alias = @target_alias@
190 AUTOMAKE_OPTIONS = no-dependencies
191
192 # Work around what appears to be a GNU make bug handling MAKEFLAGS
193 # values defined in terms of make variables, as is the case for CC and
194 # friends when we are called from the top level Makefile.
195 AM_MAKEFLAGS = \
196         "AR_FLAGS=$(AR_FLAGS)" \
197         "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
198         "CFLAGS=$(CFLAGS)" \
199         "CXXFLAGS=$(CXXFLAGS)" \
200         "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
201         "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
202         "INSTALL=$(INSTALL)" \
203         "INSTALL_DATA=$(INSTALL_DATA)" \
204         "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
205         "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
206         "JC1FLAGS=$(JC1FLAGS)" \
207         "LDFLAGS=$(LDFLAGS)" \
208         "LIBCFLAGS=$(LIBCFLAGS)" \
209         "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
210         "MAKE=$(MAKE)" \
211         "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
212         "PICFLAG=$(PICFLAG)" \
213         "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
214         "SHELL=$(SHELL)" \
215         "exec_prefix=$(exec_prefix)" \
216         "infodir=$(infodir)" \
217         "libdir=$(libdir)" \
218         "prefix=$(prefix)" \
219         "AR=$(AR)" \
220         "AS=$(AS)" \
221         "CC=$(CC)" \
222         "CXX=$(CXX)" \
223         "LD=$(LD)" \
224         "LIBCFLAGS=$(LIBCFLAGS)" \
225         "NM=$(NM)" \
226         "PICFLAG=$(PICFLAG)" \
227         "RANLIB=$(RANLIB)" \
228         "DESTDIR=$(DESTDIR)"
229
230 AM_CPPFLAGS = -I. -I$(top_srcdir) $(ZINCS) -I$(top_srcdir)/../include
231 LIBIBERTY = ../libiberty/libiberty.a
232 fastjar_SOURCES = jartool.c dostime.c compress.c pushback.c shift.c jartool.h \
233 zipfile.h dostime.h compress.h pushback.h shift.h
234
235 fastjar_LDADD = $(ZLIBS) $(LIBIBERTY)
236 fastjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
237 fastjar_CPPFLAGS = $(AM_CPPFLAGS) -DWITH_SHIFT_DOWN
238 grepjar_SOURCES = jargrep.c dostime.c compress.c pushback.c jartool.h \
239 zipfile.h dostime.h compress.h pushback.h
240
241 grepjar_LDADD = $(ZLIBS) $(LIBIBERTY)
242 grepjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
243 AM_CFLAGS = @fastjar_warn_cflags@
244 AM_MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
245 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
246 info_TEXINFOS = fastjar.texi
247 fastjar_TEXINFOS = \
248         ../gcc/doc/include/gcc-common.texi \
249         ../gcc/doc/include/gpl.texi
250
251 man_MANS = fastjar.1 grepjar.1
252 EXTRA_DIST = $(man_MANS)
253 TEXI2POD = perl $(srcdir)/../contrib/texi2pod.pl
254 POD2MAN = pod2man --center="GNU" --release="gcc-@gcc_version@"
255 @GENINSRC_FALSE@STAMP_GENINSRC = 
256
257 # GCC LOCAL CHANGE
258 # The following commands allow us to release tarballs with the man pages
259 # and info documentation prebuilt.  This feature is enabled via 
260 # --enable-generated-files-in-srcdir in the configure script.
261 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
262 CLEANFILES = stamp-geninsrc fastjar.info
263 MAINTAINERCLEANFILES = $(srcdir)/fastjar.1 \
264                        $(srcdir)/grepjar.1 \
265                        $(srcdir)/fastjar.info
266
267 all: config.h
268         $(MAKE) $(AM_MAKEFLAGS) all-am
269
270 .SUFFIXES:
271 .SUFFIXES: .1 .c .dvi .o .obj .pod .ps
272 am--refresh:
273         @:
274 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
275         @for dep in $?; do \
276           case '$(am__configure_deps)' in \
277             *$$dep*) \
278               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
279               cd $(srcdir) && $(AUTOMAKE) --gnu  \
280                 && exit 0; \
281               exit 1;; \
282           esac; \
283         done; \
284         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
285         cd $(top_srcdir) && \
286           $(AUTOMAKE) --gnu  Makefile
287 .PRECIOUS: Makefile
288 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
289         @case '$?' in \
290           *config.status*) \
291             echo ' $(SHELL) ./config.status'; \
292             $(SHELL) ./config.status;; \
293           *) \
294             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
295             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
296         esac;
297
298 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
299         $(SHELL) ./config.status --recheck
300
301 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
302         cd $(srcdir) && $(AUTOCONF)
303 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
304         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
305
306 config.h: stamp-h1
307         @if test ! -f $@; then \
308           rm -f stamp-h1; \
309           $(MAKE) stamp-h1; \
310         else :; fi
311
312 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
313         @rm -f stamp-h1
314         cd $(top_builddir) && $(SHELL) ./config.status config.h
315 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
316         cd $(top_srcdir) && $(AUTOHEADER)
317         rm -f stamp-h1
318         touch $@
319
320 distclean-hdr:
321         -rm -f config.h stamp-h1
322 install-defs.sh: $(top_builddir)/config.status $(srcdir)/install-defs.sh.in
323         cd $(top_builddir) && $(SHELL) ./config.status $@
324 install-binPROGRAMS: $(bin_PROGRAMS)
325         @$(NORMAL_INSTALL)
326         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
327         @list='$(bin_PROGRAMS)'; for p in $$list; do \
328           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
329           if test -f $$p \
330           ; then \
331             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
332            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
333            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
334           else :; fi; \
335         done
336
337 uninstall-binPROGRAMS:
338         @$(NORMAL_UNINSTALL)
339         @list='$(bin_PROGRAMS)'; for p in $$list; do \
340           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
341           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
342           rm -f "$(DESTDIR)$(bindir)/$$f"; \
343         done
344
345 clean-binPROGRAMS:
346         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
347 fastjar$(EXEEXT): $(fastjar_OBJECTS) $(fastjar_DEPENDENCIES) 
348         @rm -f fastjar$(EXEEXT)
349         $(LINK) $(fastjar_LDFLAGS) $(fastjar_OBJECTS) $(fastjar_LDADD) $(LIBS)
350 grepjar$(EXEEXT): $(grepjar_OBJECTS) $(grepjar_DEPENDENCIES) 
351         @rm -f grepjar$(EXEEXT)
352         $(LINK) $(grepjar_LDFLAGS) $(grepjar_OBJECTS) $(grepjar_LDADD) $(LIBS)
353
354 mostlyclean-compile:
355         -rm -f *.$(OBJEXT)
356
357 distclean-compile:
358         -rm -f *.tab.c
359
360 .c.o:
361         $(COMPILE) -c $<
362
363 .c.obj:
364         $(COMPILE) -c `$(CYGPATH_W) '$<'`
365
366 fastjar-jartool.o: jartool.c
367         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-jartool.o `test -f 'jartool.c' || echo '$(srcdir)/'`jartool.c
368
369 fastjar-jartool.obj: jartool.c
370         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-jartool.obj `if test -f 'jartool.c'; then $(CYGPATH_W) 'jartool.c'; else $(CYGPATH_W) '$(srcdir)/jartool.c'; fi`
371
372 fastjar-dostime.o: dostime.c
373         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-dostime.o `test -f 'dostime.c' || echo '$(srcdir)/'`dostime.c
374
375 fastjar-dostime.obj: dostime.c
376         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-dostime.obj `if test -f 'dostime.c'; then $(CYGPATH_W) 'dostime.c'; else $(CYGPATH_W) '$(srcdir)/dostime.c'; fi`
377
378 fastjar-compress.o: compress.c
379         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-compress.o `test -f 'compress.c' || echo '$(srcdir)/'`compress.c
380
381 fastjar-compress.obj: compress.c
382         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-compress.obj `if test -f 'compress.c'; then $(CYGPATH_W) 'compress.c'; else $(CYGPATH_W) '$(srcdir)/compress.c'; fi`
383
384 fastjar-pushback.o: pushback.c
385         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-pushback.o `test -f 'pushback.c' || echo '$(srcdir)/'`pushback.c
386
387 fastjar-pushback.obj: pushback.c
388         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-pushback.obj `if test -f 'pushback.c'; then $(CYGPATH_W) 'pushback.c'; else $(CYGPATH_W) '$(srcdir)/pushback.c'; fi`
389
390 fastjar-shift.o: shift.c
391         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-shift.o `test -f 'shift.c' || echo '$(srcdir)/'`shift.c
392
393 fastjar-shift.obj: shift.c
394         $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-shift.obj `if test -f 'shift.c'; then $(CYGPATH_W) 'shift.c'; else $(CYGPATH_W) '$(srcdir)/shift.c'; fi`
395
396 fastjar.info: fastjar.texi $(fastjar_TEXINFOS)
397         restore=: && \
398         backupdir="$(am__leading_dot)am$$$$" && \
399         rm -rf $$backupdir && mkdir $$backupdir && \
400         for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
401           if test -f $$f; then \
402             mv $$f $$backupdir; \
403             restore=mv; \
404           fi; \
405         done; \
406         if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
407          -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi; \
408         then \
409           rc=0; \
410         else \
411           rc=$$?; \
412           $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
413         fi; \
414         rm -rf $$backupdir; \
415         exit $$rc
416
417 fastjar.dvi: fastjar.texi $(fastjar_TEXINFOS) 
418         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
419         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
420         $(TEXI2DVI) -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi
421
422 fastjar.pdf: fastjar.texi $(fastjar_TEXINFOS) 
423         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
424         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
425         $(TEXI2PDF) -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi
426
427 fastjar.html: fastjar.texi $(fastjar_TEXINFOS) 
428         $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
429          -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi
430         if test ! -d $@ && test -d $(@:.html=); then \
431           mv $(@:.html=) $@; else :; fi
432 .dvi.ps:
433         $(DVIPS) -o $@ $<
434
435 uninstall-info-am:
436         $(PRE_UNINSTALL)
437         @if (install-info --version && \
438              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
439           list='$(INFO_DEPS)'; \
440           for file in $$list; do \
441             relfile=`echo "$$file" | sed 's|^.*/||'`; \
442             echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
443             install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
444           done; \
445         else :; fi
446         @$(NORMAL_UNINSTALL)
447         @list='$(INFO_DEPS)'; \
448         for file in $$list; do \
449           relfile=`echo "$$file" | sed 's|^.*/||'`; \
450           relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
451           (if cd "$(DESTDIR)$(infodir)"; then \
452              echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9])"; \
453              rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
454            else :; fi); \
455         done
456
457 dist-info: $(INFO_DEPS)
458         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
459         list='$(INFO_DEPS)'; \
460         for base in $$list; do \
461           case $$base in \
462             $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
463           esac; \
464           if test -f $$base; then d=.; else d=$(srcdir); fi; \
465           for file in $$d/$$base*; do \
466             relfile=`expr "$$file" : "$$d/\(.*\)"`; \
467             test -f $(distdir)/$$relfile || \
468               cp -p $$file $(distdir)/$$relfile; \
469           done; \
470         done
471
472 mostlyclean-aminfo:
473         -rm -rf fastjar.aux fastjar.cp fastjar.cps fastjar.fn fastjar.fns fastjar.ky \
474           fastjar.kys fastjar.log fastjar.pg fastjar.pgs fastjar.tmp \
475           fastjar.toc fastjar.tp fastjar.tps fastjar.vr fastjar.vrs \
476           fastjar.dvi fastjar.pdf fastjar.ps fastjar.html
477
478 maintainer-clean-aminfo:
479         @list='$(INFO_DEPS)'; for i in $$list; do \
480           i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
481           echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
482           rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
483         done
484 install-man1: $(man1_MANS) $(man_MANS)
485         @$(NORMAL_INSTALL)
486         test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
487         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
488         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
489         for i in $$l2; do \
490           case "$$i" in \
491             *.1*) list="$$list $$i" ;; \
492           esac; \
493         done; \
494         for i in $$list; do \
495           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
496           else file=$$i; fi; \
497           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
498           case "$$ext" in \
499             1*) ;; \
500             *) ext='1' ;; \
501           esac; \
502           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
503           inst=`echo $$inst | sed -e 's/^.*\///'`; \
504           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
505           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
506           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
507         done
508 uninstall-man1:
509         @$(NORMAL_UNINSTALL)
510         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
511         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
512         for i in $$l2; do \
513           case "$$i" in \
514             *.1*) list="$$list $$i" ;; \
515           esac; \
516         done; \
517         for i in $$list; do \
518           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
519           case "$$ext" in \
520             1*) ;; \
521             *) ext='1' ;; \
522           esac; \
523           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
524           inst=`echo $$inst | sed -e 's/^.*\///'`; \
525           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
526           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
527           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
528         done
529
530 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
531         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
532         unique=`for i in $$list; do \
533             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
534           done | \
535           $(AWK) '    { files[$$0] = 1; } \
536                END { for (i in files) print i; }'`; \
537         mkid -fID $$unique
538 tags: TAGS
539
540 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
541                 $(TAGS_FILES) $(LISP)
542         tags=; \
543         here=`pwd`; \
544         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
545         unique=`for i in $$list; do \
546             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
547           done | \
548           $(AWK) '    { files[$$0] = 1; } \
549                END { for (i in files) print i; }'`; \
550         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
551           test -n "$$unique" || unique=$$empty_fix; \
552           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
553             $$tags $$unique; \
554         fi
555 ctags: CTAGS
556 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
557                 $(TAGS_FILES) $(LISP)
558         tags=; \
559         here=`pwd`; \
560         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
561         unique=`for i in $$list; do \
562             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
563           done | \
564           $(AWK) '    { files[$$0] = 1; } \
565                END { for (i in files) print i; }'`; \
566         test -z "$(CTAGS_ARGS)$$tags$$unique" \
567           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
568              $$tags $$unique
569
570 GTAGS:
571         here=`$(am__cd) $(top_builddir) && pwd` \
572           && cd $(top_srcdir) \
573           && gtags -i $(GTAGS_ARGS) $$here
574
575 distclean-tags:
576         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
577
578 distdir: $(DISTFILES)
579         $(am__remove_distdir)
580         mkdir $(distdir)
581         $(mkdir_p) $(distdir)/. $(distdir)/.. $(distdir)/../config $(distdir)/../gcc/doc/include
582         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
583         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
584         list='$(DISTFILES)'; for file in $$list; do \
585           case $$file in \
586             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
587             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
588           esac; \
589           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
590           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
591           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
592             dir="/$$dir"; \
593             $(mkdir_p) "$(distdir)$$dir"; \
594           else \
595             dir=''; \
596           fi; \
597           if test -d $$d/$$file; then \
598             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
599               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
600             fi; \
601             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
602           else \
603             test -f $(distdir)/$$file \
604             || cp -p $$d/$$file $(distdir)/$$file \
605             || exit 1; \
606           fi; \
607         done
608         $(MAKE) $(AM_MAKEFLAGS) \
609           top_distdir="$(top_distdir)" distdir="$(distdir)" \
610           dist-info
611         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
612           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
613           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
614           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
615         || chmod -R a+r $(distdir)
616 dist-gzip: distdir
617         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
618         $(am__remove_distdir)
619
620 dist-bzip2: distdir
621         $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
622         $(am__remove_distdir)
623
624 dist-tarZ: distdir
625         $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
626         $(am__remove_distdir)
627
628 dist-shar: distdir
629         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
630         $(am__remove_distdir)
631
632 dist-zip: distdir
633         -rm -f $(distdir).zip
634         zip -rq $(distdir).zip $(distdir)
635         $(am__remove_distdir)
636
637 dist dist-all: distdir
638         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
639         $(am__remove_distdir)
640
641 # This target untars the dist file and tries a VPATH configuration.  Then
642 # it guarantees that the distribution is self-contained by making another
643 # tarfile.
644 distcheck: dist
645         case '$(DIST_ARCHIVES)' in \
646         *.tar.gz*) \
647           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
648         *.tar.bz2*) \
649           bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
650         *.tar.Z*) \
651           uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
652         *.shar.gz*) \
653           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
654         *.zip*) \
655           unzip $(distdir).zip ;;\
656         esac
657         chmod -R a-w $(distdir); chmod a+w $(distdir)
658         mkdir $(distdir)/_build
659         mkdir $(distdir)/_inst
660         chmod a-w $(distdir)
661         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
662           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
663           && cd $(distdir)/_build \
664           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
665             $(DISTCHECK_CONFIGURE_FLAGS) \
666           && $(MAKE) $(AM_MAKEFLAGS) \
667           && $(MAKE) $(AM_MAKEFLAGS) dvi \
668           && $(MAKE) $(AM_MAKEFLAGS) check \
669           && $(MAKE) $(AM_MAKEFLAGS) install \
670           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
671           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
672           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
673                 distuninstallcheck \
674           && chmod -R a-w "$$dc_install_base" \
675           && ({ \
676                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
677                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
678                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
679                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
680                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
681               } || { rm -rf "$$dc_destdir"; exit 1; }) \
682           && rm -rf "$$dc_destdir" \
683           && $(MAKE) $(AM_MAKEFLAGS) dist \
684           && rm -rf $(DIST_ARCHIVES) \
685           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
686         $(am__remove_distdir)
687         @(echo "$(distdir) archives ready for distribution: "; \
688           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
689           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
690 distuninstallcheck:
691         @cd $(distuninstallcheck_dir) \
692         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
693            || { echo "ERROR: files left after uninstall:" ; \
694                 if test -n "$(DESTDIR)"; then \
695                   echo "  (check DESTDIR support)"; \
696                 fi ; \
697                 $(distuninstallcheck_listfiles) ; \
698                 exit 1; } >&2
699 distcleancheck: distclean
700         @if test '$(srcdir)' = . ; then \
701           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
702           exit 1 ; \
703         fi
704         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
705           || { echo "ERROR: files left in build directory after distclean:" ; \
706                $(distcleancheck_listfiles) ; \
707                exit 1; } >&2
708 check-am: all-am
709 check: check-am
710 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(MANS) config.h all-local
711 installdirs:
712         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
713           test -z "$$dir" || $(mkdir_p) "$$dir"; \
714         done
715 install: install-am
716 install-exec: install-exec-am
717 install-data: install-data-am
718 uninstall: uninstall-am
719
720 install-am: all-am
721         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
722
723 installcheck: installcheck-am
724 install-strip:
725         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
726           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
727           `test -z '$(STRIP)' || \
728             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
729 mostlyclean-generic:
730
731 clean-generic:
732         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
733
734 distclean-generic:
735         -rm -f $(CONFIG_CLEAN_FILES)
736
737 maintainer-clean-generic:
738         @echo "This command is intended for maintainers to use"
739         @echo "it deletes files that may require special tools to rebuild."
740         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
741 clean: clean-am
742
743 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
744
745 distclean: distclean-am
746         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
747         -rm -f Makefile
748 distclean-am: clean-am distclean-compile distclean-generic \
749         distclean-hdr distclean-tags
750
751 dvi: dvi-am
752
753 dvi-am: $(DVIS)
754
755 html: html-am
756
757 html-am: $(HTMLS)
758
759 info: info-am
760
761 info-am: $(INFO_DEPS)
762
763 install-data-am: install-info-am install-man
764
765 install-exec-am: install-binPROGRAMS
766
767 install-info: install-info-am
768
769 install-info-am: $(INFO_DEPS)
770         @$(NORMAL_INSTALL)
771         test -z "$(infodir)" || $(mkdir_p) "$(DESTDIR)$(infodir)"
772         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
773         list='$(INFO_DEPS)'; \
774         for file in $$list; do \
775           case $$file in \
776             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
777           esac; \
778           if test -f $$file; then d=.; else d=$(srcdir); fi; \
779           file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
780           for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
781                        $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
782             if test -f $$ifile; then \
783               relfile=`echo "$$ifile" | sed 's|^.*/||'`; \
784               echo " $(INSTALL_DATA) '$$ifile' '$(DESTDIR)$(infodir)/$$relfile'"; \
785               $(INSTALL_DATA) "$$ifile" "$(DESTDIR)$(infodir)/$$relfile"; \
786             else : ; fi; \
787           done; \
788         done
789         @$(POST_INSTALL)
790         @if (install-info --version && \
791              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
792           list='$(INFO_DEPS)'; \
793           for file in $$list; do \
794             relfile=`echo "$$file" | sed 's|^.*/||'`; \
795             echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
796             install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
797           done; \
798         else : ; fi
799 install-man: install-man1
800
801 installcheck-am:
802
803 maintainer-clean: maintainer-clean-am
804         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
805         -rm -rf $(top_srcdir)/autom4te.cache
806         -rm -f Makefile
807 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
808         maintainer-clean-generic
809
810 mostlyclean: mostlyclean-am
811
812 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
813         mostlyclean-generic
814
815 pdf: pdf-am
816
817 pdf-am: $(PDFS)
818
819 ps: ps-am
820
821 ps-am: $(PSS)
822
823 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
824
825 uninstall-man: uninstall-man1
826
827 .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
828         clean clean-binPROGRAMS clean-generic ctags dist dist-all \
829         dist-bzip2 dist-gzip dist-info dist-shar dist-tarZ dist-zip \
830         distcheck distclean distclean-compile distclean-generic \
831         distclean-hdr distclean-tags distcleancheck distdir \
832         distuninstallcheck dvi dvi-am html html-am info info-am \
833         install install-am install-binPROGRAMS install-data \
834         install-data-am install-exec install-exec-am install-info \
835         install-info-am install-man install-man1 install-strip \
836         installcheck installcheck-am installdirs maintainer-clean \
837         maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
838         mostlyclean-aminfo mostlyclean-compile mostlyclean-generic pdf \
839         pdf-am ps ps-am tags uninstall uninstall-am \
840         uninstall-binPROGRAMS uninstall-info-am uninstall-man \
841         uninstall-man1
842
843
844 .pod.1:
845         -($(POD2MAN) --section=1 $< > $(@).T$$$$ && \
846                 mv -f $(@).T$$$$ $@) || \
847                 (rm -f $(@).T$$$$ && exit 1)
848
849 .INTERMEDIATE: fastjar.pod grepjar.pod
850
851 fastjar.pod: $(srcdir)/fastjar.texi
852         -$(TEXI2POD) -D fastjar $< > $@
853
854 grepjar.pod: $(srcdir)/fastjar.texi
855         -$(TEXI2POD) -D grepjar $< > $@
856
857 all-local: $(STAMP_GENINSRC) 
858
859 stamp-geninsrc: fastjar.1 grepjar.1 fastjar.info
860         -cp -p $(top_builddir)/fastjar.1 $(srcdir)/fastjar.1
861         -cp -p $(top_builddir)/grepjar.1 $(srcdir)/grepjar.1
862         -cp -p $(top_builddir)/fastjar.info $(srcdir)/fastjar.info
863         touch $@
864 # Tell versions [3.59,3.63) of GNU make to not export all variables.
865 # Otherwise a system limit (for SysV at least) may be exceeded.
866 .NOEXPORT: